# Method: accounts.reports.saved.generateCsv

- [HTTP request](https://developers.google.com/adsense/management/reference/rest/v2/accounts.reports.saved/generateCsv#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/adsense/management/reference/rest/v2/accounts.reports.saved/generateCsv#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/adsense/management/reference/rest/v2/accounts.reports.saved/generateCsv#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/adsense/management/reference/rest/v2/accounts.reports.saved/generateCsv#body.request_body)
- [Response body](https://developers.google.com/adsense/management/reference/rest/v2/accounts.reports.saved/generateCsv#body.response_body)
- [Authorization scopes](https://developers.google.com/adsense/management/reference/rest/v2/accounts.reports.saved/generateCsv#body.aspect)
- [Try it!](https://developers.google.com/adsense/management/reference/rest/v2/accounts.reports.saved/generateCsv#try-it)

Generates a csv formatted saved report.

### HTTP request

`GET https://adsense.googleapis.com/v2/{name=accounts/*/reports/*}/saved:generateCsv`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the saved report. Format: accounts/{account}/reports/{report} |

### Query parameters

| Parameters ||
|---|---|
| `dateRange` | ``enum (`https://developers.google.com/adsense/management/reference/rest/v2/ReportingDateRange`)`` Date range of the report, if unset the range will be considered CUSTOM. |
| `startDate` | ``object (`https://developers.google.com/adsense/management/reference/rest/v2/Date`)`` Start of the date range to report on, inclusive. Only needed when dateRange is CUSTOM or unspecified. |
| `endDate` | ``object (`https://developers.google.com/adsense/management/reference/rest/v2/Date`)`` End of the date range to report on, inclusive. Only needed when dateRange is CUSTOM or unspecified. |
| `languageCode` | `string` The language to use for translating report output. If unspecified, this defaults to English ("en"). If the given language is not supported, report output will be returned in English. The language is specified as an [IETF BCP-47 language code](https://en.wikipedia.org/wiki/IETF_language_tag). |
| `currencyCode` | `string` The [ISO-4217 currency code](https://en.wikipedia.org/wiki/ISO_4217) to use when reporting on monetary metrics. Defaults to the account's currency if not set. |
| `reportingTimeZone` | ``enum (`https://developers.google.com/adsense/management/reference/rest/v2/ReportingTimeZone`)`` Timezone in which to generate the report. If unspecified, this defaults to the account timezone. For more information, see [changing the time zone of your reports](https://support.google.com/adsense/answer/9830725). |

### Request body

The request body must be empty.

### Response body

If successful, the response is a generic HTTP response whose format is defined by the method.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/adsense`
- `
  https://www.googleapis.com/auth/adsense.readonly`